List Omni Flow Agents
curl --request GET \
--url https://api.trillet.ai/v1/api/omni-flow-agents \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/omni-flow-agents"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/omni-flow-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z",
"messageChannel": "SMS"
},
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": {},
"status": "ready",
"createdAt": "2025-01-06T09:13:50.282Z",
"updatedAt": "2025-01-06T09:16:15.796Z",
"messageChannel": "SMS"
}
]
Omni Flow Agents (Message)
List Omni Flow Agents
Retrieve a list of all call agents with all their details.
GET
/
v1
/
api
/
omni-flow-agents
List Omni Flow Agents
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
[
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z",
"messageChannel": "SMS"
},
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": {},
"status": "ready",
"createdAt": "2025-01-06T09:13:50.282Z",
"updatedAt": "2025-01-06T09:16:15.796Z",
"messageChannel": "SMS"
}
]
Response Fields
string
Workspace ID associated with the agent.
string
User ID of the agent creator.
string
Name of the agent.
string
Language model used by the agent (e.g.,
gpt-4o-mini).object
The phone number ID associated with the agent, if available.
string
Current status of the agent (e.g.,
ready).string
Timestamp when the agent was created.
string
Timestamp when the agent was last updated.
string
The channel used by the agent for communication (e.g.,
SMS).⌘I
